VSTGUI: DragCallbackFunctions Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Public Types | Public Member Functions | Public Attributes | List of all members
DragCallbackFunctions Class Reference
New classes » Version 4.7

Drag callback interface adapter which calls std::functions. More...

`#include <dragging.h>`

Inheritance diagram for DragCallbackFunctions:

## Public Types
using | Func1 = std::function< void(IDraggingSession *, CPoint)>
using | Func2 = std::function< void(IDraggingSession *, CPoint, DragOperation)>

## Public Member Functions
| DragCallbackFunctions ()=default
void | dragWillBegin (IDraggingSession *session, CPoint pos) override
| the drag will begin More...
void | dragMoved (IDraggingSession *session, CPoint pos) override
| the drag was moved More...
void | dragEnded (IDraggingSession *session, CPoint pos, DragOperation result) override
| the drag ended More...
virtual void | dragWillBegin (IDraggingSession *session, CPoint pos)=0
| the drag will begin More...
virtual void | dragMoved (IDraggingSession *session, CPoint pos)=0
| the drag was moved More...
virtual void | dragEnded (IDraggingSession *session, CPoint pos, DragOperation result)=0
| the drag ended More...
virtual void | forget ()=0
| decrease refcount and delete object if refcount == 0 More...
virtual void | remember ()=0
| increase refcount More...
Public Member Functions inherited from ReferenceCounted< T >
| ReferenceCounted ()=default
virtual | ~ReferenceCounted () noexcept=default
| ReferenceCounted (const ReferenceCounted &)
ReferenceCounted & | operator= (const ReferenceCounted &)
void | forget () override
| decrease refcount and delete object if refcount == 0 More...
void | remember () override
| increase refcount More...
virtual int32_t | getNbReference () const
| get refcount More...

## Public Attributes
Func1 | willBeginFunc
Func1 | movedFunc
Func2 | endedFunc

## Detailed Description

Drag callback interface adapter which calls std::functions.

## Member Typedef Documentation

## ◆ Func1

using Func1 = std::function<void (IDraggingSession*, CPoint)>

## ◆ Func2

using Func2 = std::function<void (IDraggingSession*, CPoint, DragOperation)>

## Constructor & Destructor Documentation

## ◆ DragCallbackFunctions()

DragCallbackFunctions | ( |  | ) |
| default

## Member Function Documentation

## ◆ dragEnded()

void dragEnded | ( | IDraggingSession * | session,
|  | CPoint | pos,
|  | DragOperation | result
| ) |  |
| inlineoverridevirtual

the drag ended

Parameters

  session | dragging session
  pos | drag position in CFrame coordinates
  result | the result of the drag

Implements IDragCallback.

## ◆ dragMoved()

void dragMoved | ( | IDraggingSession * | session,
|  | CPoint | pos
| ) |  |
| inlineoverridevirtual

the drag was moved

Parameters

  session | dragging session
  pos | drag position in CFrame coordinates

Implements IDragCallback.

## ◆ dragWillBegin()

void dragWillBegin | ( | IDraggingSession * | session,
|  | CPoint | pos
| ) |  |
| inlineoverridevirtual

the drag will begin

Parameters

  session | dragging session
  pos | drag position in CFrame coordinates

Implements IDragCallback.

## Member Data Documentation

## ◆ endedFunc

Func2 endedFunc

## ◆ movedFunc

Func1 movedFunc

## ◆ willBeginFunc

Func1 willBeginFunc

The documentation for this class was generated from the following file:

- dragging.h